package com.aplusinformatique.aplusmanager.Services;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;

import com.aplusinformatique.aplusmanager.Tools.Global;

public class SupprimerDestinataires extends Service {

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override
    public void onStart(Intent intent, int startId) {
        super.onStart(intent, startId);

        Log.d("supprimer", "yolooooo");

        if (intent.getExtras() != null) {
            if (intent.getExtras().containsKey("destinataires")) {
                String[] destinataires_a_supprimer = (intent.getExtras().getString("destinataires")).split(";");

                for (int i = 0; i < destinataires_a_supprimer.length; i++) {
                    Log.d("Destinataires", "supprimer : " + destinataires_a_supprimer[i]);

                    Global.removeDestinataire(destinataires_a_supprimer[i]);
                }
            }
        }
    }
}
